Reports
Preview accountant report
GET
/api/v1/accounting/reportBuilds a financial summary for a period — subscription revenue, order payments and GMV, invoices, and payout counts — without generating a file.
Requires Authorization
ADMIN, ACCOUNTANT only
Session
Query parameters
fromstring | ISO date. Defaults to the start of the current month. |
tostring | ISO date. Defaults to now. |
Request
curl --request GET \
--url https://api.swiftgoma.com/api/v1/accounting/report \
--header 'Authorization: Bearer <access_token>'200Example response
{
"success": true,
"data": {
"reference": "SWG-REP-2026-02",
"period": {
"from": "2026-02-01T00:00:00.000Z",
"to": "2026-02-28T23:59:59.000Z"
},
"summary": {
"subscriptionRevenue": [
{
"currency": "USD",
"total": "1280.00",
"count": 128
}
],
"orderPayments": [
{
"currency": "USD",
"total": "18420.00",
"count": 640
}
],
"orderGmv": [
{
"currency": "USD",
"total": "19100.00",
"count": 660
}
],
"invoices": {
"total": 128
},
"adminPayouts": {
"count": 14
},
"sellerPayouts": {
"count": 96
}
}
}
}